## org.eclipse.uml2.common.util
Class DerivedEObjectEList.EmptyDerivedListIterator

    java.lang.Object
      org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
          org.eclipse.uml2.common.util.DerivedEObjectEList.EmptyDerivedListIterator

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Direct Known Subclasses:
  DerivedSubsetEObjectEList.EmptyDerivedSubsetListIterator

Enclosing class:
  DerivedEObjectEList<E>

    protected class DerivedEObjectEList.EmptyDerivedListIterator

extends DerivedEObjectEList.DerivedListIterator

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`featureIndex, index, prepared, preparedFeature, preparedValues, valuesIterator`

Constructor Summary
`protected` `DerivedEObjectEList.EmptyDerivedListIterator()`

Method Summary
`boolean` `hasNext()`
`boolean` `hasPrevious()`

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`add, next, nextIndex, prepareNext, preparePrevious, previous, previousIndex, remove, resolve, scanNext, scanPrevious, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DerivedEObjectEList.EmptyDerivedListIterator

    protected DerivedEObjectEList.EmptyDerivedListIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`
  Specified by:
    `hasNext` in interface `java.util.ListIterator<E>`
  Overrides:
    `hasNext` in class `DerivedEObjectEList.DerivedListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator<E>`
  Overrides:
    `hasPrevious` in class `DerivedEObjectEList.DerivedListIterator`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.